/**
 * Root CoCompose language element.
 */
public abstract class ModelElement extends ObservedElement implements VisitedElement {
  private String name;
  /**
   * Concrete visitor accept implementation
   */
  public void acceptModelVisitor(ModelVisitor aModelVisitor) {
    aModelVisitor.visitModelElement(this);
  }
  /**
   * Sets the property value
   */
  public void setName(String name) {
    this.name = name;
  }
  /**
   * Gets the property value
   */
  public String getName() {
    return this.name;
  }
}