import java.beans.PropertyChangeEvent;
/**
 * ModelElement with observed properties
 */
public class ObservedModelElement extends ModelElement implements AbstractModelElement {
  /**
   * Fires a PropertyChangeEvent each time the method is invoked
   */
  public void setName(String name) {
    super.setName(name);
    firePropertyChange("name", null, name);
  }
}